Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
litespeed_wiki:config:understanding_500 [2019/01/11 18:43]
Jackson Zhang [CloudLinux LVE Limit Reached]
litespeed_wiki:config:understanding_500 [2019/05/10 19:18] (current)
Jackson Zhang
Line 71: Line 71:
 The correct syntax is the following and it should fix the 500 error for Apache: The correct syntax is the following and it should fix the 500 error for Apache:
   Header always set Strict-Transport-Security:​ "​max-age=63072000;​ includeSubDomains;​ preload"​   Header always set Strict-Transport-Security:​ "​max-age=63072000;​ includeSubDomains;​ preload"​
 +==== Example 5 ====
 +Syntax wrong for the following:
 +  Options All –Indexes
 +It should be:
 +  Options -Indexes
  
 +==== Example 6 ====
 +''​php_value''​ and ''​php_flag''​ are for mod_php handler. Most of the time php-fpm or lsphp will be used and mod_php has been deprecated most of the time. When you use ''​php_value''​ or ''​php_flag'',​ Apache will return 500 error. However, lsphp supports php override in .htaccess without any problem and there is no 500 error when running LSWS.
 +   
 ===== Different level of Rewrite rules misplaced to the wrong level ===== ===== Different level of Rewrite rules misplaced to the wrong level =====
  
Line 130: Line 138:
 It will bring the website to 500 immediately. It will bring the website to 500 immediately.
 This is only one example. Many times, wrong PHP syntax will lead to a 500 error. This is only one example. Many times, wrong PHP syntax will lead to a 500 error.
 +
 +Another example is:
 +  <?php
 +  phpinfo():
 +  ?>
 +
 +A typing error '':''​ in phpinfo page , which should be '';'',​ will lead to 500 error. ​
  
 ===== PHP Code with wrong php configuration settings ===== ===== PHP Code with wrong php configuration settings =====
Line 252: Line 267:
 </​code>​ </​code>​
 You can check the example [[https://​users.cs.cf.ac.uk/​Dave.Marshall/​PERL/​node196.html|here]]. You can check the example [[https://​users.cs.cf.ac.uk/​Dave.Marshall/​PERL/​node196.html|here]].
 +
 +===== OWASP ModSecurity rule set may trigger 500 when using Imunify360 together =====
 +OWASP rule set may conflict with Imunify360 default rule set on a server running LiteSpeed Web Server. Please choose only one mod_security rule set. 
  • Admin
  • Last modified: 2019/01/11 18:43
  • by Jackson Zhang